<?
namespace factory;
class BackendSites
{
  static public function topic_unaccept( $id )
  {
    global $mdb;
    return $mdb -> update( 'zaplecze_tematy', [ 'zaakceptowany' => 0 ], [ 'id' => $id ] );
  }

  static public function topic_accept( $id)
  {
    global $mdb;
    return $mdb -> update( 'zaplecze_tematy', [ 'zaakceptowany' => 1 ], [ 'id' => $id ] );
  }

  static public function topic_save( $id, $strona, $kategoria, $kategoria_id, $temat, $data_publikacji, $opublikowany, $zaakceptowany )
  {
    global $mdb;
    if ( !$id )
    {
      return $mdb -> insert( 'zaplecze_tematy', [
        'strona' => $strona,
        'kategoria' => $kategoria,
        'kategoria_id' => $kategoria_id,
        'temat' => $temat,
        'data_publikacji' => $data_publikacji,
        'opublikowany' => $opublikowany == 'on' ? 1 : 0,
        'zaakceptowany' => $zaakceptowany == 'on' ? 1 : 0,
      ] );
    }
    else
    {
      return $mdb -> update( 'zaplecze_tematy', [
        'strona' => $strona,
        'kategoria' => $kategoria,
        'kategoria_id' => $kategoria_id,
        'temat' => $temat,
        'data_publikacji' => $data_publikacji,
        'opublikowany' => $opublikowany == 'on' ? 1 : 0,
        'zaakceptowany' => $zaakceptowany == 'on' ? 1 : 0,
      ], [ 'id' => $id ] );
    }
  }

  static public function topic( $id = 0 )
  {
    global $mdb;
    return $mdb -> get( 'zaplecze_tematy', '*', [ 'id' => $id ] );
  }

  static public function collective_topic( $id = 0 )
  {
    global $mdb;
    return $mdb -> get( 'zaplecze_tematy_zbiorcze', '*', [ 'id' => $id ] );
  }

  static public function collective_topic_save( $id, $strona, $kategoria, $kategoria_id, $temat_ogolny, $data_przetworzenia, $przetworzony )
  {
    global $mdb;
    if ( !$id )
    {
      return $mdb -> insert( 'zaplecze_tematy_zbiorcze', [
        'strona' => $strona,
        'kategoria' => $kategoria,
        'kategoria_id' => $kategoria_id,
        'temat_ogolny' => $temat_ogolny,
        'data_przetworzenia' => $data_przetworzenia,
        'przetworzony' => $przetworzony == 'on' ? 1 : 0,
      ] );
    }
    else
    {
      return $mdb -> update( 'zaplecze_tematy_zbiorcze', [
        'strona' => $strona,
        'kategoria' => $kategoria,
        'kategoria_id' => $kategoria_id,
        'temat_ogolny' => $temat_ogolny,
        'data_przetworzenia' => $data_przetworzenia,
        'przetworzony' => $przetworzony == 'on' ? 1 : 0,
      ], [ 'id' => $id ] );
    }
  }
}